:root {
    /* Colors */
    --dark: #111;
    --light: #eee;
    --main-own: #ff0000;
    /* Shadow */
    --shadow: 3px 3px 6px rgba(100, 100, 100, 0.3);
    /* animation */
    --animat: all 0.3s ease-in-out;
}

* {
    padding: 0;
    margin: 0;
}

body {
    font-size: 16px;
    line-height: 24px;
    font-family: 'Open Sans', sans-serif;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Roboto', sans-serif;
}

a, .dark-link {
    text-decoration: none;
    color: var(--main-own);
    cursor: pointer;
}

a:hover {
    color: var(--dark);
}

.dark-link {
    transition: all 0.3s ease;
}

.dark-link:hover {
    color: var(--light);
    text-decoration: underline;
}

li {
    list-style: none;
}

img {
    width: 100%;
    height: auto;
}

input {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

/* Coore styles */

.onpage-link {
    color: var(--main-own);
    transition: var(--animat);
    padding: 16px 0;
    display: inline;
}

.onpage-link:hover {
    color: var(--dark);
}

/* Showcase */

#showcase {
    width: 100%;
    height: 100vh;
    background: url(img/main-bg.jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

#side-showcase {
    width: 100%;
    background: var(--dark);
    color: var(--light);
    text-align: center;
}

.showcase-padding, .side-showcase-padding {
    padding: 100px 20px;
}

.showcase-content {
    text-align: center;
    width: 100%;
    color: var(--light);
    text-shadow: var(--shadow);
    height: 80vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

/* titles */

.sub-title {
    font-size: 1rem;
    line-height: 2rem;
    padding: 16px 0;
}

.title {
    font-size: 3rem;
    line-height: 4rem;
}

.side-title {
    font-size: 3rem;
    line-height: 4rem;
}

/* Section */

.section-padding {
    padding: 50px 20px;
}

.section-title {
    font-size: 2rem;
    line-height: 3rem;
    padding: 0 0 8px 0;
}

.section-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: left;
}

.dif-color {
    background: var(--light);
}

.box {
    padding: 16px;
}

.box h3 {
    font-size: 1.5rem;
    line-height: 2rem;
    padding: 0 0 16px 0;
}

.integritet h2, .integritet h3, .integritet h4, .integritet p, .integritet ul {
    padding: 8px 0;
}

.integritet h2 {
    font-size: 2rem;
    line-height: 3rem;
}

.integritet h3 {
    font-size: 1.5rem;
    line-height: 2rem;
}

.integritet ul li {
    list-style: circle;
    margin-left: 16px;
}

/* Grids */

.grid-2 {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 16px;
}

.grid-3 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 16px;
    text-align: center;
    padding: 16px 0;
}

.grid-4 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 16px;
}

.image-grid {
    display: grid;
    grid-gap: 16px;
    grid-template-columns: 1fr 1fr;
    min-height: 300px;
}

.produkt-grid {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 16px;
}

.image-box {
    height: 100%;
    width: 100%;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    transition: var(--animat);
    color: var(--dark);
}

.image-box h4 {
    background: rgba(255, 255, 255, 0.8);
    padding: 10px 0;
    font-size: 1rem;
}

.image-box:hover {
    opacity: 0.7;
}

/* Produkter */

.aaria {
    background: url(img/aaria.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.sointu {
    background: url(img/Sointu.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.tenori-b {
    background: url(img/tenori-b.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.harmonia {
    background: url(img/harmonia.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.produkt-box {
    background: #fff;
    margin: 8px 0;
    color: var(--dark);
    cursor: pointer;
    transition: var(--animat);
}

.produkt-box:hover {
    transform: scale(1.05);
}

.produkt-box h3 {
    font-size: 2rem;
    line-height: 3rem;
    padding: 16px 0;
}

.produkt-box b, .produkt-info b {
    font-family: 'Roboto', sans-serif;
}

.produkt-info ul {
    padding: 8px 0;
}

.produkt-btn {
    color: var(--main-own);
    transition: var(--animat);
}

.produkt-btn:hover {
    color: var(--dark);
    text-decoration: underline;
}

.color-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 16px;
}

.section-title {
    grid-column: span 4;
}

.color-grid img {
    border-radius: 50%;
    box-shadow: var(--shadow);
}

/* Offert */

.offert {
    padding: 16px 0;
}

.offert-input-grid, .offert-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 16px;
}

.offert-input-grid label {
    line-height: 39px;
}

.offert-input {
    border: none;
    border-bottom: 1px solid var(--dark);
    padding: 10px;
    max-width: 50px;
    font-size: 1rem;
}

.form-input {
    outline: none;
    border: none;
    border-bottom: 1px solid var(--dark);
    background: none;
    font-size: 1rem;
    padding: 10px;
    box-sizing: border-box;
    display: block;
    transition: all 0.3s ease;
    width: 100%;
    height: auto;
    margin: 8px 0 16px 0;
    cursor: pointer;
}

.form-input:focus, .form-input:hover {
    border-radius: 0 0 15px 0;
    border-bottom: 1px solid var(--main-own);
}

.form-input::placeholder {
    color: #999;
}

.offert-radio {
    display: none;
}

.offert-box {
    background: var(--light);
    display: block;
    text-align: center;
    transition: var(--animat);
    cursor: pointer;
}

.offert-box h3 {
    padding: 8px;
}

.offert-box:hover {
    opacity: 0.5;
    border-radius: 0 0 15px 0;
}

.offert-radio:checked~.offert-box {
    background: var(--main-own);
    color: var(--light);
}

.offert-radio:checked~.offert-box img {
    opacity: 0.8;
}

#offert-contant-info {
    display: none;
    margin-top: 16px;
}

.submit-btn {
    border: none;
    outline: none;
    background: var(--main-own);
    color: var(--light);
    padding: 10px 20px;
    margin: 10px 0 0 0;
    font-size: 16px;
    display: block;
    width: 100%;
    box-sizing: border-box;
    transition: all 0.3s ease;
}

.submit-btn:hover {
    background: var(--dark);
    border-radius: 0 0 15px 0;
}

.gdpr-radio {
    display: inline-block;
    width: 15px;
    height: 15px;
    border: 1px solid var(--dark);
    border-radius: 50%;
    padding: 0 8px 0 0;
    transition: all 0.3s ease;
}

.gdpr-radio:checked {
    border: 1px solid var(--light);
}

.gdpr-radio:checked::after {
    content: '√';
    color: green;
    font-size: 16px;
    font-weight: bolder;
    position: absolute;
    transition: all 0.3s ease;
}

.gdpr-radio:hover {
    border: 1px solid green;
    transform: scale(1.2);
}

.gdpr-radio:focus {
    outline: none;
}

.form-success, .form-error {
    background: var(--light);
    width: 100%;
    display: block;
    padding: 50px 0;
    margin: 50px 0;
    text-align: center;
}

.form-success span {
    font-size: 2rem;
    color: green;
    display: block;
    padding: 16px 0;
}

.form-error span {
    font-size: 2rem;
    color: red;
    display: block;
    padding: 16px 0;
}

/* Footer */

#footer {
    background: url(img/footer-bg.jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    color: var(--light);
}

.footer-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 50px 20px;
}

.footer-grid li {
    padding: 8px 0;
}

.footer-grid li a {
    color: var(--light);
}

.footer-grid li a:hover {
    color: var(--main-own);
}

.footer-title {
    font-size: 1.5rem;
    padding: 16px 0;
    display: inline-block;
    transition: var(--animat);
    color: var(--main-own);
}

.footer-title a:hover {
    color: var(--main-own);
    opacity: 0.5;
}

.footer-produkt {
    display: none;
}

.footer-produkt-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 16px;
}

.footer-coppy {
    background: rgba(18, 18, 18, 0.6);
    color: #999;
    text-align: center;
    padding: 10px 0;
    font-size: 0.8rem;
}

@media screen and (min-width: 600px) {
    .showcase-padding {
        padding: 80px 80px 0 80px;
    }
    .side-showcase-padding {
        padding: 150px 80px 150px 80px;
    }
    .section-padding, .footer-grid {
        padding: 80px;
    }
    .grid-4, .offert-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
    .produkt-grid {
        grid-template-columns: 1fr 1fr;
    }
    .color-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    }
    .section-title {
        grid-column: span 5;
    }
}

@media screen and (min-width: 1024px) {
    .showcase-padding {
        padding: 80px 150px 0 150px;
    }
    .side-showcase-padding {
        padding: 150px;
    }
    .section-padding, .footer-grid {
        padding: 100px 150px;
    }
    .grid-2 {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-column-gap: 16px;
    }
    .offert-contant-info-container {
        grid-column: span 2;
    }
    .grid-2, .grid-4 {
        grid-gap: 32px;
    }
    .offert-grid {
        grid-template-columns: 1fr 1fr 1fr;
    }
    .produkt-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
    .color-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
    .showcase-box {
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: left;
    }
    .sub-title {
        font-size: 2rem;
        line-height: 3rem;
    }
    .title, .side-title {
        font-size: 4rem;
        line-height: 5rem;
    }
    .section-title {
        font-size: 3rem;
        line-height: 4rem;
        grid-column: span 4;
    }
    .footer-grid {
        grid-template-columns: 1fr 2fr 1fr 1fr;
    }
    .footer-produkt {
        display: block;
    }
}

@media screen and (min-width: 1440px) {
    .showcase-padding {
        padding: 80px 280px 0 280px;
    }
    .side-showcase-padding {
        padding: 200px 280px 200px 280px;
    }
    .color-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    }
    .offert-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
    .section-padding, .footer-grid {
        padding: 100px 280px;
    }
    .title, .side-title {
        font-size: 5rem;
        line-height: 6rem;
    }
    .section-title {
        font-size: 4rem;
        line-height: 5rem;
        grid-column: span 6;
    }
}

@media screen and (min-width: 1920px) {
    .showcase-padding {
        padding: 80px 400px 0 400px;
    }
    .side-showcase-padding {
        padding: 200px 400px 200px 400px;
    }
    .section-padding, .footer-grid {
        padding: 100px 400px;
    }
}

@media screen and (min-width: 2560px) {
    .showcase-padding {
        padding: 80px 480px 0 480px;
    }
    .side-showcase-padding {
        padding: 200px 480px 200px 480px;
    }
    .section-padding, .footer-grid {
        padding: 100px 480px;
    }
}